For AI agents: visit https://ovs-skopenapi.readme.io/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI. Append .md to any documentation page URL to get its markdown version.
Shell
curl --location --request POST 'https://apis.openapi.sk.com/api/ovs/v20/device' \
--header 'Content-Type: application/json' \
--header 'X-Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJzeXNhZG1pbkB0aG…' \
--header 'appKey: ***********************' \
--data-raw '{
"vendor": "SKT",
"type": "OVC-G",
"credentialsId":"uio35123456789012345",
"serialNo":"uio3512345678911234"
}'
RESPONSE (200 | application/json)
Shell
{
"id": {
"id": "128fe3e0-ab98-11ea-b482-911940102f00"
},
"createdTime": 1591848022149,
"companyId": {
"id": "f58ccd10-a0bd-11ea-a9b8-ff6a8104c32f"
},
"vendor": "SKT",
"type": "OVC-G",
"additionalInfo": null,
"activationRequired": false,
"serialNo": "uio3512345678911234",
"credentialsId": "uio35123456789012345"
}
Key Type Description id string unique device id companyId string company ID vendor string manufacture name of the device credentialsId string device credentails (5 digit company prefix + 15 digit credentails) serialNo string device serialNo (5 digit company prefix + unique serial number) additionalInfo string any information of the device
Shell
curl --location --request GET 'https://apis.openapi.sk.com/api/ovs/v20/device/uio3512345678911234' \
--header 'Content-Type: application/json' \
--header 'X-Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJzeXNhZG1pbkB0aG…' \
--header 'appKey: ***********************' \
-d ''
Shell
// response 200 OK only, no data body
Key Type Description N/A N/A N/A
Shell
curl --location --request DELETE 'https://apis.openapi.sk.com/api/ovs/v20/device/uio3512345678911234' \
--header 'Content-Type: application/json' \
--header 'X-Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJzeXNhZG1pbkB0aG…' \
--header 'appKey: ***********************' \
--data-raw ''
Shell
// response 200 OK only, no data body
Key Type Description id string unique device id companyId string company ID vendor string manufacture name of the device credentialsId string device credentails (5 digit company prefix + 15 digit credentails) serialNo string device serialNo (5 digit company prefix + unique serial number) additionalInfo string any information of the device